FreeMat

- Main Page
- Related Pages

vtkUncertaintyTubeFilter

Section: Visualization Toolkit Graphics Classes

# Usage

vtkUncertaintyTubeFilter is a filter that generates ellipsoidal (in cross section) tubes that follows a polyline. The input is a vtkPolyData with polylines that have associated vector point data. The vector data represents the uncertainty of the polyline in the x-y-z directions.

To create an instance of class vtkUncertaintyTubeFilter, simply invoke its constructor as follows

      obj = vtkUncertaintyTubeFilter

# Methods

The class vtkUncertaintyTubeFilter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkUncertaintyTubeFilter class.

- `string = obj.GetClassName ()` - Standard methods for printing and obtaining type information for instances of this class.
- `int = obj.IsA (string name)` - Standard methods for printing and obtaining type information for instances of this class.
- `vtkUncertaintyTubeFilter = obj.NewInstance ()` - Standard methods for printing and obtaining type information for instances of this class.
- `vtkUncertaintyTubeFilter = obj.SafeDownCast (vtkObject o)` - Standard methods for printing and obtaining type information for instances of this class.
- `obj.SetNumberOfSides (int )` - Set / get the number of sides for the tube. At a minimum, the number of sides is 3.
- `int = obj.GetNumberOfSidesMinValue ()` - Set / get the number of sides for the tube. At a minimum, the number of sides is 3.
- `int = obj.GetNumberOfSidesMaxValue ()` - Set / get the number of sides for the tube. At a minimum, the number of sides is 3.
- `int = obj.GetNumberOfSides ()` - Set / get the number of sides for the tube. At a minimum, the number of sides is 3.